<?php include_once("Base-header.php"); ?>

<h1>Usage</h1>

<p class="code"><code>mdpwlfmt <b>[</b>-w<b>]</b> <b>[</b>-i
<i>file</i><b>]</b> <b>[</b>-o <i>file</i><b>]</b> <b>[</b>-s
<i>name</i><b>]</b> <b>[</b>-t <i>file</i><b>]</b></code></p>

<h1>Options</h1>

<table border="1">
  <tr>
    <td class="t1n"><code>-i <i>file</i></code></td>
    <td class="t1">Input file, as generated by <i>libvxmdsync</i></td>
  </tr>
  <tr>
    <td class="t2n"><code>-o <i>file</i></code></td>
    <td class="t2">Place output in <i>file</i></td>
  </tr>
  <tr>
    <td class="t1n"><code>-s <i>name</i></code></td>
    <td class="t1">Use the specified style when converting the logfile to
      "readable" output</td>
  </tr>
  <tr>
    <td class="t2n"><code>-t <i>file</i></code></td>
    <td class="t2">Use the specified template file for output. This option is
      only required one styles that require one.</td>
  </tr>
  <tr>
    <td class="t1n"><code>-w</code></td>
    <td class="t1">Instead of converting, show all available styles. Those that
      require a template will be marked appropriately.</td>
  </tr>
</table>

<h1>Description</h1>

<p class="block">When <i>mdsync</i> adds and deletes users, it notes
down their usernames and, for new users, their passwords in a simple
textfile. <i>mdpwlfmt</i> will take such a logfile and "pretty print" it
in a more advanced format, suitable for distribution. Each "style", as
it is called, outputs the data in a different layout and possibly
different format.</p>

<h1>Examples</h1>

<p class="block">Assuming <i>mdsync</i> created a logfile called
<code>run0919.log</code>, and you want to have a nice ASCII page of all new
users:</p>

<p class="code"><code>mdpwlfmt -i run0919.log -o run0919.txt -s
pg_txt</code></p>

<p class="block">You may then use <code>lpr</code> or other means to print it,
if you wish so. Of course, it also nice to look at on-screen.</p>

<p class="block">The <i>pg_rtf</i> (as is <i>pg_html</i>) style is especially
important, because it allows you to change the layout a little bit more,
depending on how you would like to have it. <i>pg_rtf</i> uses a (quite
complex) pre-created RTF file for its output, and as such, requires a the
template option <code>-t</code>:</p>

<p class="code"><code>mdpwlfmt -i run0919.log -o run0919.rtf -s pg_rtf -t
/opt/vitalnix/share/pg.rtf</code></p>

<p class="block">The resulting file may then be opened using a word processor
(most likely Microsoft Word) and adjusted as needed.</p>

<h1>List of styles</h1>

<p class="block">A brief description of what styles are available and what they
are intended for can be found <a href="extra-pwlstyles.php">List of PWL styles
page</a>.</p>

<?php include_once("Base-footer.php"); ?>
